# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TFetchResultsReq

Packages that use TFetchResultsReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TFetchResultsReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TFetchResultsReq
Modifier and Type
Class
Description
`class`
`TFetchResultsReq`
`class`
`TFetchResultsReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TFetchResultsReq
Modifier and Type
Field
Description
`TFetchResultsReq`
TCLIService.FetchResults_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TFetchResultsReq
Modifier and Type
Method
Description
`TFetchResultsReq`
TFetchResultsReq.`deepCopy()`
`TFetchResultsReq`
TCLIService.FetchResults_args.`getReq()`
`TFetchResultsReq`
TFetchResultsReq.`setFetchType(short fetchType)`
`TFetchResultsReq`
TFetchResultsReq.`setIncludeResultSetMetadata(boolean includeResultSetMetadata)`
`TFetchResultsReq`
TFetchResultsReq.`setMaxBytes(long maxBytes)`
`TFetchResultsReq`
TFetchResultsReq.`setMaxRows(long maxRows)`
`TFetchResultsReq`
TFetchResultsReq.`setOperationHandle(TOperationHandle operationHandle)`
`TFetchResultsReq`
TFetchResultsReq.`setOrientation(TFetchOrientation orientation)`
`TFetchResultsReq`
TFetchResultsReq.`setStartRowOffset(long startRowOffset)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TFetchResultsReq
Modifier and Type
Method
Description
`int`
TFetchResultsReq.`compareTo(TFetchResultsReq other)`
`boolean`
TFetchResultsReq.`equals(TFetchResultsReq that)`
`void`
TCLIService.AsyncClient.`FetchResults(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler)`
`void`
TCLIService.AsyncIface.`FetchResults(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler)`
`TFetchResultsResp`
TCLIService.Client.`FetchResults(TFetchResultsReq req)`
`TFetchResultsResp`
TCLIService.Iface.`FetchResults(TFetchResultsReq req)`
`void`
TCLIService.Client.`send_FetchResults(TFetchResultsReq req)`
`TCLIService.FetchResults_args`
TCLIService.FetchResults_args.`setReq(TFetchResultsReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TFetchResultsReq
Modifier
Constructor
Description
``
`FetchResults_args(TFetchResultsReq req)`
``
`FetchResults_call(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TFetchResultsReq(TFetchResultsReq other)`
Performs a deep copy on other.